# HG changeset patch
# Node ID a5eb42aff8be
# Parent  5634642aca06
diff --git a/pidgin/pidginabout.c b/pidgin/pidginabout.c
--- a/pidgin/pidginabout.c
+++ b/pidgin/pidginabout.c
@@ -46,22 +46,16 @@
 struct _PidginAboutDialog {
 	GtkDialog parent;
 
-	GtkWidget *close_button;
 	GtkWidget *application_name;
-	GtkWidget *stack;
 
-	GtkWidget *main_scrolled_window;
 	GtkTextBuffer *main_buffer;
 
-	GtkWidget *developers_page;
 	GtkWidget *developers_treeview;
 	GtkTreeStore *developers_store;
 
-	GtkWidget *translators_page;
 	GtkWidget *translators_treeview;
 	GtkTreeStore *translators_store;
 
-	GtkWidget *build_info_page;
 	GtkWidget *build_info_treeview;
 	GtkTreeStore *build_info_store;
 };
@@ -517,34 +511,22 @@ pidgin_about_dialog_class_init(PidginAbo
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
-	                                     close_button);
-	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     application_name);
-	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
-	                                     stack);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
-	                                     main_scrolled_window);
-	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     main_buffer);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
-	                                     developers_page);
-	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     developers_store);
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     developers_treeview);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
-	                                     translators_page);
-	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     translators_store);
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     translators_treeview);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
-	                                     build_info_page);
-	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     build_info_store);
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog,
 	                                     build_info_treeview);
diff --git a/pidgin/resources/About/about.ui b/pidgin/resources/About/about.ui
--- a/pidgin/resources/About/about.ui
+++ b/pidgin/resources/About/about.ui
@@ -92,7 +92,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                     <property name="name">main</property>
                     <property name="title" translatable="1">General</property>
                     <property name="child">
-                      <object class="GtkScrolledWindow" id="main_scrolled_window">
+                      <object class="GtkScrolledWindow">
                         <property name="focusable">1</property>
                         <property name="hscrollbar-policy">never</property>
                         <child>
@@ -114,7 +114,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                     <property name="name">developers</property>
                     <property name="title" translatable="1">Developers</property>
                     <property name="child">
-                      <object class="GtkScrolledWindow" id="developers_page">
+                      <object class="GtkScrolledWindow">
                         <property name="focusable">1</property>
                         <property name="hscrollbar-policy">never</property>
                         <property name="child">
@@ -150,7 +150,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                     <property name="name">translators</property>
                     <property name="title" translatable="1">Translators</property>
                     <property name="child">
-                      <object class="GtkScrolledWindow" id="translators_page">
+                      <object class="GtkScrolledWindow">
                         <property name="focusable">1</property>
                         <property name="child">
                           <object class="GtkTreeView" id="translators_treeview">
@@ -183,7 +183,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                     <property name="name">build-info</property>
                     <property name="title" translatable="1">Build Information</property>
                     <property name="child">
-                      <object class="GtkScrolledWindow" id="build_info_page">
+                      <object class="GtkScrolledWindow">
                         <property name="focusable">1</property>
                         <property name="hscrollbar-policy">never</property>
                         <property name="child">
